"""Main Sequence for executing Microphone Test"""

# pylint: disable=W0105

# import functions
from microphone_test import signal_voltage_generation_and_measurement
from turn_off_all_ao_channels import power_down_all_ao_channels

############# SETUP ###################
# Import the simulated hardware to NI Max for running the example
"""In NI MAX, select File -> Import, and use the textbox under 'Import
   from File' to import the configuration file 'Hardware Config.ini' 
   to ensure the proper naming of global channels which will be
   used with this sequence and its dependencies"""

############# MAIN ####################
"""Example demonstrates Frequency domain measurements of captured Analog(Audio) signal 
generated by Analog Output(generates sine wave tones) module with Hardware Trigger"""

signal_voltage_generation_and_measurement()

######## CLEAN UP ####################

# Turn off all configured AO channels by configuring to 0V
power_down_all_ao_channels()
